Last Comment Bug 717493 - Port |Bug 717491 - "Warning: package error or possible missing or unnecessary file: bin/components/proxyObject.xpt (package-manifest, 151)."| to SeaMonkey
: Port |Bug 717491 - "Warning: package error or possible missing or unnecessary...
Status: VERIFIED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 12.0
Assigned To: Edmund Wong (:ewong)
:
Mentors:
http://mxr.mozilla.org/comm-central/s...
Depends on: 717491 722247 722251
Blocks: 713134
  Show dependency treegraph
 
Reported: 2012-01-11 18:41 PST by Serge Gautherie (:sgautherie)
Modified: 2012-01-30 02:41 PST (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Removed bin/components/proxyObject.xpt. (943 bytes, patch)
2012-01-17 19:09 PST, Edmund Wong (:ewong)
bugspam.Callek: review+
bugzillamozillaorg_serge_20140323: feedback+
Details | Diff | Splinter Review
Removed bin/components/proxyObject.xpt. (v2) (4.39 KB, patch)
2012-01-17 23:16 PST, Edmund Wong (:ewong)
bugspam.Callek: review-
bugzillamozillaorg_serge_20140323: feedback-
Details | Diff | Splinter Review
Removed bin/components/proxyObject.xpt. (v3) (1.39 KB, patch)
2012-01-29 17:25 PST, Edmund Wong (:ewong)
bugspam.Callek: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2012-01-11 18:41:18 PST
http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTrunk/1326326911.1326333403.13717.gz&fulltext=1
Linux comm-central build on 2012/01/11 16:08:31
{
Warning: package error or possible missing or unnecessary file: bin/components/proxyObject.xpt (package-manifest, 459).
}

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1326320185.1326332179.11070.gz&fulltext=1
OS X 10.5 comm-central-trunk leak test build on 2012/01/11 14:16:25
No bug :-|

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1326323109.1326333321.13646.gz&fulltext=1
OS X 10.6 comm-central-trunk nightly on 2012/01/11 15:05:09
{
Warning: package error or possible missing or unnecessary file: SeaMonkey.app/Contents/MacOS/components/proxyObject.xpt (package-manifest, 159).
}

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1326320049.1326330699.7951.gz&fulltext=1
WINNT 5.2 comm-central-trunk build on 2012/01/11 14:14:09
{
Warning: package error or possible missing or unnecessary file: bin/components/proxyObject.xpt (package-manifest, 167).
}
Comment 1 Edmund Wong (:ewong) 2012-01-17 19:09:44 PST
Created attachment 589390 [details] [diff] [review]
Removed bin/components/proxyObject.xpt.
Comment 2 Justin Wood (:Callek) (Away until Aug 29) 2012-01-17 22:02:35 PST
Comment on attachment 589390 [details] [diff] [review]
Removed bin/components/proxyObject.xpt.

While here, lets remove mail's and calendar's packaging of this file as well...
Comment 3 Edmund Wong (:ewong) 2012-01-17 23:16:59 PST
Created attachment 589411 [details] [diff] [review]
Removed bin/components/proxyObject.xpt. (v2)
Comment 4 Serge Gautherie (:sgautherie) 2012-01-18 00:40:54 PST
Comment on attachment 589411 [details] [diff] [review]
Removed bin/components/proxyObject.xpt. (v2)

package-manifest.in:
I would assume Callek's r+ can be forwarded.

removed-files.in:
I'm sure SM and TB want to keep it, I assume the same is true for Calendar.
_If_ it is needed to do something there (which I believe is not, at least for SM and TB which use omnijar), it would be to add(!) a new line, or move the existing one.
Comment 5 Serge Gautherie (:sgautherie) 2012-01-18 00:45:58 PST
(In reply to Serge Gautherie (:sgautherie) from comment #4)
> for SM and TB which use omnijar), it would be to add(!) a new line, or move

Arf, not omnijar exactly: see bug 718912 comment 3...
Comment 6 Serge Gautherie (:sgautherie) 2012-01-26 03:01:47 PST
Comment on attachment 589411 [details] [diff] [review]
Removed bin/components/proxyObject.xpt. (v2)

Callek, do you agree with checking this in, _without_ the removed-files.in parts?
Comment 7 Justin Wood (:Callek) (Away until Aug 29) 2012-01-26 11:36:16 PST
Comment on attachment 589411 [details] [diff] [review]
Removed bin/components/proxyObject.xpt. (v2)

Review of attachment 589411 [details] [diff] [review]:
-----------------------------------------------------------------

Please don't remove it from removed-files.in
Comment 8 Justin Wood (:Callek) (Away until Aug 29) 2012-01-26 11:37:20 PST
(In reply to Serge Gautherie (:sgautherie) from comment #6)
> Comment on attachment 589411 [details] [diff] [review]
> Removed bin/components/proxyObject.xpt. (v2)
> 
> Callek, do you agree with checking this in, _without_ the removed-files.in
> parts?

Yes, without removed-files.in this patch was good.
Comment 9 Edmund Wong (:ewong) 2012-01-29 17:25:22 PST
Created attachment 592558 [details] [diff] [review]
Removed bin/components/proxyObject.xpt. (v3)
Comment 10 Edmund Wong (:ewong) 2012-01-29 18:17:47 PST
Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/eb282639e268
Comment 11 Serge Gautherie (:sgautherie) 2012-01-30 01:24:04 PST
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1327889832.1327891902.22172.gz&fulltext=1
Linux x86-64 comm-central-trunk build on 2012/01/29 18:17:12

V.Fixed
Comment 12 Serge Gautherie (:sgautherie) 2012-01-30 02:41:04 PST
(In reply to Serge Gautherie (:sgautherie) from comment #4)
> removed-files.in:
> I'm sure SM and TB want to keep it, I assume the same is true for Calendar.
> _If_ it is needed to do something there (which I believe is not, at least
> for SM and TB which use omnijar), it would be to add(!) a new line, or move
> the existing one.

Ftr, this comment stands.
Bug 722247 or bug 722251 might tell otherwise, but I don't expect that to happen.

Note You need to log in before you can comment on or make changes to this bug.